Subject: Re: [Bitcoin-development] Proposal: remove "getwork" RPC from bitcoind

From: Mike Hearn <[email-masked]>
Date: Thu, 22 Aug 2013 15:33:16 +0200

That would be annoying for testing. Regtest mode allows you to create a new
block by just running "setgenerate true" (it switches itself off after
creating a block). If you had to set up a complicated set of separate
programs just to do regtest mode that'd be a step backwards, IMO.

On Thu, Aug 22, 2013 at 3:18 PM, Jeff Garzik <[email-masked]> wrote:

> On Thu, Aug 22, 2013 at 5:36 AM, Maciej Trebacz <[email-masked]> wrote:
> > Will removing "getwork" from the client impact the "setgenerate" RPC
> call?
> > I.e. would you still be able to generate coins on testnet-in-a-box this
> way,
> > or would you need a dedicated miner for that? testnet-in-a-box is very
> > useful for testing and easy to setup, it would be great if it stays that
> way
>
> Yes, that is currently being discussed in a separate pull request.  My
> pull request does not impact setgenerate, but an added proposal does
> remove the internal miner completely.
>
> --
> Jeff Garzik
> Senior Software Engineer and open source evangelist
> BitPay, Inc.      https://bitpay.com/
>
>
> ------------------------------------------------------------------------------
> Introducing Performance Central, a new site from SourceForge and
> AppDynamics. Performance Central is your source for news, insights,
> analysis and resources for efficient Application Performance Management.
> Visit us today!
> http://pubads.g.doubleclick.net/gampad/clk?id=48897511&iu=/4140/ostg.clktrk
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>